Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class DomConfig

    java.lang.Object
      com.gwtext.client.core.DomConfig

    public class DomConfig

extends java.lang.Object

The Dom object spec. Can be configured with specs of children too. If no tag is specified then a div will be automatically generated with the specified attributes.

See Also:
  `DomHelper.append(String, DomConfig)`, `ExtElement.createChild(DomConfig)`

Constructor Summary
`DomConfig()` Create a new DomConfig using a "div" tag.
`DomConfig(java.lang.String tag)` Create a new DomConfig.
`DomConfig(java.lang.String tag, java.lang.String id)` Constructor.
`DomConfig(java.lang.String tag, java.lang.String id, java.lang.String cls)` Constructor.
`DomConfig(java.lang.String tag, java.lang.String id, java.lang.String cls, java.lang.String html)` Constructor.

Method Summary
`void` | `addAttribute(java.lang.String name, java.lang.String value)`
`DomConfig` | `addChild(DomConfig child)` Add a child element.
`com.google.gwt.core.client.JavaScriptObject` | `getJsObject()`
`void` | `setStyle(java.lang.String style)` Set the CSS style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomConfig

    public DomConfig()

  Create a new DomConfig using a "div" tag.

### DomConfig

    public DomConfig(java.lang.String tag)

  Create a new DomConfig.

  Parameters:
    `tag` - the tag name

### DomConfig

    public DomConfig(java.lang.String tag,
                     java.lang.String id)

  Constructor.

  Parameters:
    `tag` - the element tag name
    `id` - the element id

### DomConfig

    public DomConfig(java.lang.String tag,
                     java.lang.String id,
                     java.lang.String cls)

  Constructor.

  Parameters:
    `tag` - the element tag name
    `id` - the element id
    `cls` - the element CSS class name

### DomConfig

    public DomConfig(java.lang.String tag,
                     java.lang.String id,
                     java.lang.String cls,
                     java.lang.String html)

  Constructor.

  Parameters:
    `tag` - the element tag name
    `id` - the element id
    `cls` - the element CSS class name
    `html` - the innerHTML for the element.

Method Detail

### setStyle

    public void setStyle(java.lang.String style)

  Set the CSS style.

  Parameters:
    `style` - the CSS style

### addChild

    public DomConfig addChild(DomConfig child)

  Add a child element.

  Parameters:
    `child` - the child element config
  Returns:
    this

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

### getJsObject

    public com.google.gwt.core.client.JavaScriptObject getJsObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD